> ## Documentation Index
> Fetch the complete documentation index at: https://docs.indxco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Documents

> Returns a list of documents for the given account, with signed download URLs.



## OpenAPI

````yaml GET /partner/clover/accounts/documents/{account_id}
openapi: 3.1.0
info:
  title: INDX-api
  description: |2-

        Welcome to the INDX API!
        
  version: 0.1.0
servers: []
security: []
paths:
  /partner/clover/accounts/documents/{account_id}:
    get:
      tags:
        - Clover Accounts
      summary: Get Account Documents
      description: >-
        Returns a list of documents for the given account, with signed download
        URLs.
      operationId: get_account_documents_partner_clover_accounts_documents__account_id__get
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
            title: Account Id
        - name: document_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Document id to filter by
            title: Document Id
          description: Document id to filter by
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: Start date to filter documents
            title: Start Date
          description: Start date to filter documents
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: End date to filter documents
            title: End Date
          description: End date to filter documents
        - name: year
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Year to filter documents
            title: Year
          description: Year to filter documents
        - name: source
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source
        - name: X-API-SIGNATURE
          in: header
          required: true
          schema:
            type: string
            description: Signature header
            title: X-Api-Signature
          description: Signature header
        - name: X-API-TIMESTAMP
          in: header
          required: true
          schema:
            type: integer
            description: Timestamp header
            title: X-Api-Timestamp
          description: Timestamp header
        - name: X-API-NONCE
          in: header
          required: true
          schema:
            type: string
            description: Nonce header
            title: X-Api-Nonce
          description: Nonce header
        - name: X-API-SUBSCRIPTION-KEY
          in: header
          required: true
          schema:
            type: string
            description: Account ID header
            title: X-Api-Subscription-Key
          description: Account ID header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ResponseSchema_List_DocumentItemResponse__
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ResponseSchema_List_DocumentItemResponse__:
      properties:
        message:
          type: string
          title: Message
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/DocumentItemResponse'
              type: array
            - type: 'null'
          title: Data
      type: object
      required:
        - message
      title: ResponseSchema[List[DocumentItemResponse]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocumentItemResponse:
      properties:
        document_id:
          type: string
          format: uuid
          title: Document Id
          description: Identifier for the document
        start_date:
          type: string
          format: date
          title: Start Date
          description: Start date
        end_date:
          type: string
          format: date
          title: End Date
          description: End date
        year:
          type: integer
          title: Year
          description: Year
        type:
          type: string
          title: Type
          description: Document type
        generated_at:
          type: string
          format: date-time
          title: Generated At
          description: Generation timestamp
        formats:
          $ref: '#/components/schemas/FormatResponse'
          description: Every file currently found in the documents folder
      type: object
      required:
        - document_id
        - start_date
        - end_date
        - year
        - type
        - generated_at
        - formats
      title: DocumentItemResponse
      description: Response schema for an account document.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    FormatResponse:
      properties:
        format:
          type: string
          title: Format
          description: File format of the statement
          examples:
            - pdf
        url:
          type: string
          title: Url
          description: Presigned S3 URL for downloading the statement
        url_expires_at:
          type: string
          format: date-time
          title: Url Expires At
          description: UTC timestamp when the presigned URL expires
      type: object
      required:
        - format
        - url
        - url_expires_at
      title: FormatResponse
      description: Response model for a single downloadable statement/document format.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.